﻿using System;
using System.Data;
using System.Text;
using System.Web.Services;
using TayVista.BusinessLogic;

namespace InfiniteScroll
{
    public partial class Default : System.Web.UI.Page
    {
        private int PageSize
        {
            get { return 100; }
        }

        protected override void OnInit(EventArgs e)
        {
            // Bind the first page of data (pageNumber = 1, pageSize = 100)
            using (DataTable dt = Products.GetProducts(1, PageSize))
            {
                InfiniteScrollRepeater.DataSource = dt;
                InfiniteScrollRepeater.DataBind();
            }
            
            base.OnInit(e);
        }

        /// <summary>
        /// Marked as a WebMethod so that it's possible for the client script to get access to it.        
        /// </summary>
        [WebMethod]
        public static string BindDataAsync(int pageNumber)
        {
            StringBuilder sb = new StringBuilder();

            // Pass in page number and page size as your database call should
            // only return the first (x) records in this case it's page 1, max records 100
            using (DataTable dt = Products.GetProducts(pageNumber, 100))
            {
                foreach (DataRow r in dt.Rows)
                {
                    sb.Append("<tr><td>" + r["Column1"].ToString() + "</td><td>" + r["Column2"].ToString() + "</td></tr>");
                }
            }

            return sb.ToString();
        }
    }
}